Bug 1103409 - [RFE] Embed oVirt Virtual Appliance image
Summary: [RFE] Embed oVirt Virtual Appliance image
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On: 1053435
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-31 06:43 UTC by Fabian Deutsch
Modified: 2015-09-04 09:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 09:12:06 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Fabian Deutsch 2014-05-31 06:43:25 UTC
Description of problem:
Onc ethe Virtual Appliance image is available it should also be part of Node.

This will enable the user to setup a hosted-engine setup without any other image / external ressources.

Comment 1 Itamar Heim 2014-05-31 20:09:36 UTC
this is a bit more complex than just embedding it.
the entire flow should be a bit different in this case to simplify things.
putting needinfo on myself to provide the extra details here...

Comment 2 Itamar Heim 2014-06-02 10:18:33 UTC
more details:
1. we make a virtual appliance for engine.
2. we make an ovirt-node+hosted-engine (and then some) out of the box.

we first need to resolve:
- have a virtual appliance for ovirt
- improve hosted-engine flow with the virtual appliance for ovirt

Flow would look something like:
- install ovirt-node++, will setup a local (or nfs) storage domain with hosted 
  engine
- allow to live storage migrate hosted engine vm to a shared storage domain
- allow to set other hosts as 'hosted engine hosts' from webadmin (if they 
  have the  shared storage domain)
- tbd on neutron/miq/glance appliances (out of the box / glance.redhat.com / 
  inject into a data domain)

Comment 3 Sandro Bonazzola 2015-09-04 09:02:22 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 4 Fabian Deutsch 2015-09-04 09:12:06 UTC
For now it is not planed to embedded the appliance inside the iso, because the size of the iso would increase massively.


Note You need to log in before you can comment on or make changes to this bug.